/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://code.google.com/p/google-apis-client-generator/
 * (build: 2013-08-14 15:32:06 UTC)
 * on 2013-08-14 at 19:13:58 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.plus;

/**
 * Available OAuth 2.0 scopes for use with the Google+ API.
 *
 * @since 1.4
 */
public class PlusScopes {

  /** Know your name, basic info, and list of people you're connected to on Google+. */
  public static final String PLUS_LOGIN = "https://www.googleapis.com/auth/plus.login";

  /** Know who you are on Google. */
  public static final String PLUS_ME = "https://www.googleapis.com/auth/plus.me";

  /**
   * Returns an unmodifiable set that contains all scopes declared by this class.
   *
   * @since 1.16
   */
  public static java.util.Set<String> all() {
    java.util.Set<String> set = new java.util.HashSet<String>();
    set.add(PLUS_LOGIN);
    set.add(PLUS_ME);
    return java.util.Collections.unmodifiableSet(set);
  }

  private PlusScopes() {
  }
}
